/**
 *
 *
  _____                      _              _ _ _     _   _     _        __ _ _
 |  __ \                    | |            | (_) |   | | | |   (_)      / _(_) |
 | |  | | ___    _ __   ___ | |_    ___  __| |_| |_  | |_| |__  _ ___  | |_ _| | ___
 | |  | |/ _ \  | '_ \ / _ \| __|  / _ \/ _` | | __| | __| '_ \| / __| |  _| | |/ _ \
 | |__| | (_) | | | | | (_) | |_  |  __/ (_| | | |_  | |_| | | | \__ \ | | | | |  __/
 |_____/ \___/  |_| |_|\___/ \__|  \___|\__,_|_|\__|  \__|_| |_|_|___/ |_| |_|_|\___|


 * DO NOT EDIT THIS FILE!!
 *
 *  TO CUSTOMIZE SuscripcionBase PLEASE EDIT ../suscripcion.ts
 *
 *  -- THIS FILE WILL BE OVERWRITTEN ON THE NEXT SKAFFOLDER'S CODE GENERATION --
 *
 */

/**
 * This is the model of Suscripcion object
 *
 */
export class SuscripcionBase {

    constructor() { }

    public id?: string;
    public codigoPago?: string;
    public cupon?: string;
    public descuento?: number;
    public documento?: string;
    public estado?: string;
    public fechaPago?: Date;
    public fechaRegistro?: Date;
    public iva?: number;
    public plan?: string;
    public planNombre?:string;
    public apellidos?:string;
    public nombres?:string;
    
    public subtotal?: number;
    public total?: number;
    public usuario?: string;
    public vigenciaFin?: Date;
    public vigenciaInicio?: Date;
}
